W3cubDocs

/Support Tables

let

Declares a variable with block level scope

Spec https://www.ecma-international.org/ecma-262/6.0/#sec-let-and-const-declarations
Status Other
IE Edge Firefox Chrome Safari Opera
    60 66    
    59 65   50
  17 58 64 TP 49
11 16 57 63 11 48
10 15 56 62 10.1 47
9 14 55 61 10 46
8 13 54 60 9.1 45
Show all
7 12 53 59 9 44
6   52 58 8 43
5.5   51 57 7.1 42
    50 56 7 41
    49 55 6.1 40
    48 54 6 39
    47 53 5.1 38
    46 52 5 37
    45 51 4 36
    44 50 3.2 35 (3)
    43 (1) 49 3.1 34 (3)
    42 (1) 48 (3)   33 (3)
    41 (1) 47 (3)   32 (3)
    40 (1) 46 (3)   31 (3)
    39 (1) 45 (3)   30 (3)
    38 (1) 44 (3)   29 (3)
    37 (1) 43 (3)   28 (3)
    36 (1) 42 (3)   27 (2)
    35 (1) 41 (3)   26 (2)
    34 (1) 40 (2)   25 (2)
    33 (1) 39 (2)   24 (2)
    32 (1) 38 (2)   23 (2)
    31 (1) 37 (2)   22 (2)
    30 (1) 36 (2)   21 (2)
    29 (1) 35 (2)   20 (2)
    28 (1) 34 (2)   19 (2)
    27 (1) 33 (2)   18 (2)
    26 (1) 32 (2)   17 (2)
    25 (1) 31 (2)   16 (2)
    24 (1) 30 (2)   15 (2)
    23 (1) 29 (2)   12.1
    22 (1) 28 (2)   12
    21 (1) 27 (2)   11.6
    20 (1) 26 (2)   11.5
    19 (1) 25 (2)   11.1
    18 (1) 24 (2)   11
    17 (1) 23 (2)   10.6
    16 (1) 22 (2)   10.5
    15 (1) 21 (2)   10.0-10.1
    14 (1) 20 (2)   9.5-9.6
    13 (1) 19 (2)   9
    12 (1) 18    
    11 (1) 17    
    10 (1) 16    
    9 (1) 15    
    8 (1) 14    
    7 (1) 13    
    6 (1) 12    
    5 (1) 11    
    4 (1) 10    
    3.6 (1) 9    
    3.5 (1) 8    
    3 (1) 7    
    2 (1) 6    
      5    
      4    
iOS Safari Opera Mini Android Browser Blackberry Browser Opera Mobile Android Chrome Android Firefox IE Mobile Android UC Browser Samsung Internet QQ Browser Baidu Browser
11.0-11.2 all 62 10 37 62 57 11 11.4 6.2 1.2 7.12 (3)
10.3   4.4.3-4.4.4 7 12.1     10   5    
10.0-10.2   4.4   12         4 (3)    
9.3   4.2-4.3   11.5              
Show all
9.0-9.2   4.1   11.1              
8.1-8.4   4   11              
8   3   10              
7.0-7.1   2.3                  
6.0-6.1   2.2                  
5.0-5.1   2.1                  
4.2-4.3                      
4.0-4.1                      
3.2                      

Notes

  1. Supports a non-standard version that can only be used in script elements with a type attribute of application/javascript;version=1.7. As other browsers do not support these types of script tags this makes support useless for cross-browser support.

  2. Requires the ‘Experimental JavaScript features’ flag to be enabled

  3. Only supported in strict mode

Resources

Data by caniuse.com
Licensed under the Creative Commons Attribution License v4.0.
http://caniuse.com/#feat=let